Issue 84912 - Inclusion of languages Bodo, Dogri, Maithili and Santali in the Locale Setting dialog box,
Inclusion of languages Bodo, Dogri, Maithili and Santali in the Locale Setti...
Status: CLOSED FIXED
Product: Internationalization
Classification: Code
Component: i18npool
OOo 2.3.1 RC1
All All
: P3 trivial (vote)
: ---
Assigned To: oc
issues@l10n
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-30 09:53 UTC by rkvsraman
Modified: 2013-08-07 15:02 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description rkvsraman 2007-12-30 09:53:37 UTC
Hello,


We wish to incorporate the localized files of 4 scheduled Indian Languages viz.

Bodo (brx-IN)
Dogri (doi-IN)
Maithili (mai-IN) and
Santali (sat-IN).

Please provide the modifications and code allotment in i18npool. 

Thanks.

Best Regards
-Raman
Comment 1 ooo 2008-01-06 19:41:19 UTC
I take this as a request to add LangIDs and ISO code mappings in i18npool and
add those languages to the language list box.

To add localizations to the build system and the localization database please
file a separate issue and assign it to 'ihi'. I suggest that in the UI
translation for localize.sdf files you use only the ISO language codes without
the '-IN' country code.

For Dogri please use the code 'dgo' instead of 'doi', 'doi' is a macrolanguage
code, see http://www.sil.org/iso639-3/codes.asp?order=reference_name&letter=d

Note that to make the languages appear under Locale Settings and in the number
formatter dialog we need the locale data provided. If you don't know how to
create it you can go to http://www.it46.se/localegen/ and use the web form.
Please file a separate issue for each locale data file to be attached.

Thanks
  Eike
Comment 2 erack 2008-01-19 15:54:23 UTC
In cws locales30:

i18npool/inc/i18npool/lang.h  1.10.6.2
i18npool/source/isolang/isolang.cxx  1.14.6.3
svtools/source/misc/langtab.src  1.4.10.3

LangIDs and ISO code mappings:

LANGUAGE_USER_BODO_INDIA            0x0643  // brx-IN
LANGUAGE_USER_DOGRI_INDIA           0x0644  // dgo-IN
LANGUAGE_USER_MAITHILI_INDIA        0x0645  // mai-IN
LANGUAGE_USER_SANTALI_INDIA         0x0646  // sat-IN
Comment 3 ooo 2008-02-29 12:20:17 UTC
Reassigning to QA for verification.
Comment 4 oc 2008-03-05 07:43:59 UTC
verified in internal build cws_locales30
Comment 5 oc 2008-10-17 13:46:37 UTC
closed because fix available in builds OOO300_m9 and DEV300_m33